You are here

APNG Plug-In

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0
Rate this item!

APNG plug-in provides Animated PNG (APNG) image file load and save modules for the GIMP.

Download source tar ball and more information at
http://sourceforge.net/projects/gimp-apng/

If you have any suggestions, questions, or if you would like to contribute (by translating the plug-in for other languages, or by providing us with a Windows how-to or Mac OS X binary, for example), please contact daisuken at users.sourceforge.net.

Updated 19 May 2009:
APNG plug-in for Windows is available for download. Many thanks to Max Stepin!

Updated 28 Apr 2009:

How to install without replacing the system libpng library

If you have installed *patched* libpng at /usr/local/libpng,

1. You can use pkg-config to search patched libpng.

$ env PKG_CONFIG_PATH=/usr/local/libpng/pkgconfig:$PKG_CONFIG_PATH ./configure

2. Or, you can use --with-libpng-include=DIR and --with-libpng-lib=DIR options.

$ ./configure \
  --with-libpng-include=/usr/local/libpng/include \
  --with-libpng-lib=/usr/local/libpng/lib

After install, maybe you need LD_LIBRARY_PATH to search the runtime library path.

$ env LD_LIBRARY_PATH=/usr/local/libpng/lib gimp

"Automatically Detected" does not work

Because same as PNG is handled by PNG plug-in in the GIMP. Please select file type PNG+APNG image.

GIMP Version: 
Code License: 

Comments

I think that the message is caused most commonly by miss matched frame size. First frame must be full size (and second frame must be full size too, if first frame is hidden).

I still haven't got this to work, though I haven't really delved into it.

Using Slackware 13, I patched my libpng library (1.2.37 -- is this too old?) and was able to successfully get through a compile of the plug-in; however, nothing seems to have changed (saving a multi-layer image as PNG produced the Export Dialog, but there was no "Save as animation" option).

I would point out that the Makefile defines the PLUGINDIR to be $HOME/.gimp-2.6.x/plug-ins -- that is, the entire GIMP version including the release (I had to manually move the plug-in to my GIMP plug-ins directory). In every GNU/Linux installation I've ever done, ${gimp_dir} has not included the release number and I think the Makefile should leave it out as well.

$ cd Program/gimp-apng-0.1.0/
$ ./configure \
> --with-libpng-include=/usr/local/libpng/include \
> --with-libpng-lib=/usr/local/libpng/lib
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
[...]
checking for GIMP... configure: error: Package requirements (gimp-2.0 >= 2.2.0 gimpui-2.0 >= 2.2.0) were not met:

No package 'gimp-2.0' found
No package 'gimpui-2.0' found
[...]

What can I do to fix this?
Ubuntu 10.10, KDE 4.5 (if that matters). Mostly fresh install, no major modifications.

You made sure that the original PNG plug-in isn't called, didn't you?

I hadn't done so, no. But after removing 'file-png' from the GIMP system plug-ins directory, my Export Dialog was empty except for the Cancel/Ignore/Export buttons and exporting resulted in a single-layer PNG.

I don't really expect solutions at this time, given my poor feedback on what I've attempted (which was just a cursory attempt at compiling/installing). I will post back next week after I've had a chance to examine the build process (and research .ui files) in more detail.

Jesus why is it so complicated to install all this stuff?! I'm just giving up. This is too complicated.

No complicated if you use linux..but i suppose you use Windows

In that cae i suggest you to wait a bit..if you read the author comment, he also would like a Windows (and a Mac ) build
and there are good chances that somebody will help, at least for windows

just monitor the topic..and cross the fingers

Yes, a little complicated in linux too, at least, more complicated than a "gimptool-2.0 --install" or "./configure; make; make install" as you need a special, patched version of libpng. I don't want libraries installed in /usr/local, because there will be a lot of problem later, and i'm not sure how to statically compil this. Playing with options --with-libpng-lib=, --with-libpng-include=, and perhaps the environment variable PNG_LIBS too ? But how to staticaly compil ? Is it possible ? The REAME and the INSTALL doesn't help us a lot, and i've found that's not very easy even for a eleven years linux user who is not a developer.

My personal motto:

Winners never quit, and quitters never win.

Why not ask for help for your particular OS, etc, instead of making a post admitting you're giving up? It might be easier than you think.

I've been wanting a plugin for this for a while now. Thanks for submitting this.

Pages

Subscribe to Comments for "APNG Plug-In"